| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryOfficeCodeRequest Class Reference
Office Code

Query Office Code request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
xsd__string | OfficeCodePrefix
| Allows filtering for a specific office code prefix. More...
enum unsp__DestinationType | DestinationType = DtUnused
| Type of destination. More...
enum unsp__DnFilter | Filter
| Condition that must be held for retrieved office codes. More...
enum unsp__CommandActivate | CountActivate
| Indicates whether counts are retrieved. More...
enum unsp__SortOrder | SortDirection
| Standard sorting enumeration. More...
enum unsp__OfficeCodeSortType | SortType
| Defines whether Sorting is performed based on OfficeCode or not. More...

## Detailed Description

Query Office Code request.

Used by unsp__queryOfficeCode()

## Member Data Documentation

## ◆ CountActivate

enum unsp__CommandActivate unsp__QueryOfficeCodeRequest::CountActivate

Indicates whether counts are retrieved.

required: false

## ◆ DestinationType

enum unsp__DestinationType unsp__QueryOfficeCodeRequest::DestinationType = DtUnused

Type of destination.

If given, restricts the search to office codes with that type.
required: false

## ◆ Filter

enum unsp__DnFilter unsp__QueryOfficeCodeRequest::Filter

Condition that must be held for retrieved office codes.

It is used for filtering office codes retrieved in query.
required: false

## ◆ InterfaceWsdl

xsd__string unsp__QueryOfficeCodeRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OfficeCodePrefix

xsd__string unsp__QueryOfficeCodeRequest::OfficeCodePrefix

Allows filtering for a specific office code prefix.

required: false
default value[range]: NA [1..14]

## ◆ OperatorId

xsd__string unsp__QueryOfficeCodeRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryOfficeCodeRequest::Paging

Standard paging structure.

required: false

## ◆ SortDirection

enum unsp__SortOrder unsp__QueryOfficeCodeRequest::SortDirection

Standard sorting enumeration.

required: false

## ◆ SortType

enum unsp__OfficeCodeSortType unsp__QueryOfficeCodeRequest::SortType

Defines whether Sorting is performed based on OfficeCode or not.

required: false

## ◆ Specific

xsd__boolean unsp__QueryOfficeCodeRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h